%global srcname gnome-search-providers-jetbrains
%global debug_package %{nil}

Name:                    gnome-search-providers-jetbrains
Version:                 1.16.0
Release:                 1%{?dist}
Summary:                 Add recent projects of various Jetbrains IDEs to Gnome search.

License:                 MPL2
URL:                     https://github.com/swsnr/%{srcname}

Source0:                 https://github.com/swsnr/%{srcname}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:           rust >= 1.67
BuildRequires:           cargo
BuildRequires:           glib2-devel
BuildRequires:           make
BuildRequires:           rust-libsystemd-devel
BuildRequires:           systemd-libs
BuildRequires:           systemd-devel
BuildRequires:           rust-libsystemd+default-devel

Requires:		gnome-shell
Requires:       	systemd

%description             
Supports:
 ---
 Android Studio (toolbox)
 CLion (toolbox)
 GoLand (toolbox)
 IDEA (toolbox)
 IDEA Community Edition (toolbox)
 PHPStorm (toolbox)
 PyCharm (toolbox)
 Rider (toolbox)
 RubyMine (toolbox)
 WebStorm (toolbox)
 ---
Under the hood, this is a small systemd user service that implements the search 
provider DBus API and exposes recent projects from Jetbrains IDEs
%prep
%autosetup

%build
%make_build build

%install
%make_install

%files
%dir /usr/local/share/gnome-shell/search-providers/
/usr/local/share/gnome-shell/search-providers/de.swsnr.searchprovider.jetbrains.toolbox.clion.ini
/usr/local/share/gnome-shell/search-providers/de.swsnr.searchprovider.jetbrains.toolbox.goland.ini
/usr/local/share/gnome-shell/search-providers/de.swsnr.searchprovider.jetbrains.toolbox.idea-ce.ini
/usr/local/share/gnome-shell/search-providers/de.swsnr.searchprovider.jetbrains.toolbox.idea.ini
/usr/local/share/gnome-shell/search-providers/de.swsnr.searchprovider.jetbrains.toolbox.phpstorm.ini
/usr/local/share/gnome-shell/search-providers/de.swsnr.searchprovider.jetbrains.toolbox.pycharm.ini
/usr/local/share/gnome-shell/search-providers/de.swsnr.searchprovider.jetbrains.toolbox.rider.ini
/usr/local/share/gnome-shell/search-providers/de.swsnr.searchprovider.jetbrains.toolbox.rubymine.ini
/usr/local/share/gnome-shell/search-providers/de.swsnr.searchprovider.jetbrains.toolbox.rustrover.ini
/usr/local/share/gnome-shell/search-providers/de.swsnr.searchprovider.jetbrains.toolbox.studio.ini
/usr/local/share/gnome-shell/search-providers/de.swsnr.searchprovider.jetbrains.toolbox.webstorm.ini
/usr/local/share/dbus-1/services/de.swsnr.searchprovider.Jetbrains.service
/usr/local/lib/systemd/user/gnome-search-providers-jetbrains.service
/usr/local/bin/gnome-search-providers-jetbrains

%changelog
